org.apache.ivy.plugins.circular

## Class WarnCircularDependencyStrategy

- java.lang.Object
- - org.apache.ivy.plugins.circular.AbstractCircularDependencyStrategy
  - - org.apache.ivy.plugins.circular.AbstractLogCircularDependencyStrategy
    - - org.apache.ivy.plugins.circular.WarnCircularDependencyStrategy

All Implemented Interfaces:
  CircularDependencyStrategy

    public final class WarnCircularDependencyStrategy
    extends AbstractLogCircularDependencyStrategy

### Method Summary

Methods
`static CircularDependencyStrategy` `getInstance()`
`protected void` `logCircularDependency(ModuleRevisionId[] mrids)`

### Methods inherited from class org.apache.ivy.plugins.circular.AbstractLogCircularDependencyStrategy

`getCircularDependencyId, handleCircularDependency`

### Methods inherited from class org.apache.ivy.plugins.circular.AbstractCircularDependencyStrategy

`getName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static CircularDependencyStrategy getInstance()

#### logCircularDependency

    protected void logCircularDependency(ModuleRevisionId[] mrids)

Specified by:
  `logCircularDependency` in class `AbstractLogCircularDependencyStrategy`